웹사이트

GET https://pushye.com/api/websites/
curl --request GET \
--url 'https://pushye.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부사항 설명
search 선택 사항 문자열 검색 문자열.
search_by 선택 사항 문자열 어떤 필드로 검색하고 있습니까? 허용되는 값은: name, host, path.
is_enabled 선택 사항 부울
datetime_field 선택 사항 문자열 허용된 값: datetime, last_datetime, email_reports_last_datetime
datetime_start 선택 사항 문자열 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 선택 사항 문자열 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 선택 사항 문자열 결과를 정렬할 필드. 허용되는 값은: website_id, datetime, last_datetime, name, host, path, email_reports_last_datetime, email_reports_count, total_sent_campaigns, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications, total_subscribers.
order_type 선택 사항 문자열 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다.
page 선택 사항 정수 결과를 원하는 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "domain_id": 1,
            "pixel_key": "Example",
            "name": "Example",
            "scheme": "Example",
            "host": "Example",
            "path": "Example",
            "settings": [],
            "widget": {},
            "button": {},
            "notifications": [],
            "email_reports": [],
            "email_reports_last_datetime": "2026-09-12 12:53:12",
            "email_reports_count": 1,
            "keys": [],
            "total_sent_campaigns": 1,
            "total_subscribers": 1,
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 1,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-12 12:53:12"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://pushye.com/api/websites?page=1",
        "last": "https://pushye.com/api/websites?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/websites?page=1"
    }
}
GET https://pushye.com/api/websites/{website_id}
curl --request GET \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "domain_id": 1,
        "pixel_key": "Example",
        "name": "Example",
        "scheme": "Example",
        "host": "Example",
        "path": "Example",
        "settings": [],
        "widget": {},
        "button": {},
        "notifications": [],
        "email_reports": [],
        "email_reports_last_datetime": "2026-09-12 12:53:12",
        "email_reports_count": 1,
        "keys": [],
        "total_sent_campaigns": 1,
        "total_subscribers": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-12 12:53:12"
    }
}
DELETE https://pushye.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \